List external accounts
curl --request GET \
--url https://api.getlemma.com/v0/external-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/external-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/external-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "external_account_Hd9vWs4mFn7xYk2t",
"entity_id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-03-20T18:45:00Z",
"nickname": "Owner's Account"
},
{
"id": "external_account_Bx5nTm8hKw3pVd7c",
"entity_id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-03-19T18:45:00Z",
"nickname": "Payroll"
}
],
"has_next": false,
"cursor": null
}
External accounts
List external accounts
Retrieve saved external accounts for an entity.
GET
/
v0
/
external-accounts
List external accounts
Returns a paginated list of saved external accounts for an entity, ordered by
most recent first. Results are paginated.
Query parameters
string
required
The ID of the entity whose external accounts to list. You can find entity IDs
using the List entities endpoint.
integer
default:"20"
Maximum number of external accounts to return per page. Maximum is 100.
string
Pagination cursor for retrieving the next page of results. Returned as
cursor in the response. See pagination for
details.Response
boolean
Whether more external accounts exist beyond this page. Use the
cursor field
to retrieve the next page.string | null
Cursor to retrieve the next page of results. Null if this is the last page.
Pass this value as the
cursor query parameter in a subsequent request. See
pagination for details.object[]
The list of external account objects.
Show External account object
Show External account object
{
"data": [
{
"id": "external_account_Hd9vWs4mFn7xYk2t",
"entity_id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-03-20T18:45:00Z",
"nickname": "Owner's Account"
},
{
"id": "external_account_Bx5nTm8hKw3pVd7c",
"entity_id": "entity_k7mXp2vR9nTfBw4s",
"created_at": "2026-03-19T18:45:00Z",
"nickname": "Payroll"
}
],
"has_next": false,
"cursor": null
}